Bug 965201 - Recent alerts list/report should include event text in addition to conditions
Recent alerts list/report should include event text in addition to conditions
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: 1006243
  Show dependency treegraph
 
Reported: 2013-05-20 13:04 EDT by Elias Ross
Modified: 2013-09-11 05:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006243 (view as bug list)
Environment:
Last Closed: 2013-09-11 05:53:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elias Ross 2013-05-20 13:04:30 EDT
Condition Text currently only shows the severity of the alert (INFO or ERROR) and optionally the conditions.

It does not show the 'event source', which is useful, nor the text of the alert. If space allows, another column would be good for this. We have alerts for many hosts ('sources') that originate from one SNMP trap listener and we can't see the actual alert text or host.
Comment 1 Elias Ross 2013-06-12 16:10:28 EDT
This patch might work, but I need to test it:

diff --git a/modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/alert/AlertFormatUtility.java b/modules/enterpr
index 1bfb3a7..eb1c275 100644
--- a/modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/alert/AlertFormatUtility.java
+++ b/modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/alert/AlertFormatUtility.java
@@ -25,6 +25,7 @@
 import org.rhq.core.domain.alert.Alert;
 import org.rhq.core.domain.alert.AlertCondition;
 import org.rhq.core.domain.alert.AlertConditionCategory;
+import org.rhq.core.domain.alert.AlertConditionLog;
 import org.rhq.core.domain.alert.AlertConditionOperator;
 import org.rhq.core.domain.alert.AlertDefinition;
 import org.rhq.core.domain.measurement.MeasurementUnits;
@@ -228,6 +229,9 @@ public static String formatAlertConditionForDisplay(AlertCondition condition) {
                 str.append(condition.getOption());
                 str.append("'");
             }
+            for (AlertConditionLog log : condition.getConditionLogs()) {
+                str.append(" '").append(log.getValue()).append("'");
+            }
             break;
         }
         case DRIFT: {
Comment 2 Heiko W. Rupp 2013-06-12 16:14:19 EDT
Elias, you write

"Condition Text currently only shows"

where is that? In all places like list of alerts for a resource, or reports or?

Thanks
  Heiko
Comment 3 Elias Ross 2013-06-12 21:18:41 EDT
Reports -> Recent Alerts

I'm thinking: http://localhost:7080/coregui/#Reports/Subsystems/RecentAlerts

though I think there are other similar views.

The 'Condition Text' column should have the text from the Event. It currently only shows:

Event Detection [INFO]

in this column.
Comment 4 Heiko W. Rupp 2013-06-14 03:34:30 EDT
The 'Condition Text' is the condition you set to match, but not the matched value that you are interested in.

Currently the event line shows the condition and when you click on the creation time you can click on "conditions" to see the value.

Having said that, I can see that
a) it is hard to see the interesting stuff from the list
b) it is tedious to click 2 times to see the condition logs

Just adding a column for the source to the list does not sound good to me, as this
would be empty for most cases
Comment 5 Heiko W. Rupp 2013-06-14 05:04:25 EDT
First part is in master dad4e56a7b

Still need to think about the event source.
This is hidden in the resource and resource type.

This could perhaps be displayed in a column that is by default hidden
Comment 6 Heiko W. Rupp 2013-09-10 05:57:19 EDT
Putting this on_qa for the text. The addition of the event source has been captured in a different BZ
Comment 7 Heiko W. Rupp 2013-09-11 05:53:25 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.